## scanbuttond 0.2.3.cvs20090713

=== debian/changelog ===
scanbuttond (0.2.3.cvs20090713-8) unstable; urgency=low

  * Revert configure changes on cleanup in order to make dpkg 1.16.1
    happy; closes: #643272.

 -- Milan Zamazal <pdm@debian.org>  Wed, 28 Sep 2011 17:22:18 +0200

scanbuttond (0.2.3.cvs20090713-7) unstable; urgency=low

  * Disable snapscan-s1500.patch -- it breaks scanbuttond at least with my
    Epson Perfection 2480.

 -- Milan Zamazal <pdm@debian.org>  Tue, 30 Aug 2011 21:45:43 +0200

scanbuttond (0.2.3.cvs20090713-6) unstable; urgency=low

  * HP ScanJet 4500 support added; closes: #635725.
  * *.la files removed.
  * Missing build-* targets added to debian/rules.
  * Standards 3.9.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sat, 06 Aug 2011 09:57:45 +0200

scanbuttond (0.2.3.cvs20090713-5) unstable; urgency=low

  * Lock file handling and GNOME examples added to buttonpressed.sh
    script; thanks to Lutz Müller <lutz@topfrose.de>; closes: #624482.

 -- Milan Zamazal <pdm@debian.org>  Sat, 07 May 2011 21:37:07 +0200

scanbuttond (0.2.3.cvs20090713-4) unstable; urgency=low

  * snapscan-s1500.patch by Neil Schemenauer <nas@debian.org> added;
    closes: #614312.

 -- Milan Zamazal <pdm@debian.org>  Tue, 22 Feb 2011 21:53:06 +0100

scanbuttond (0.2.3.cvs20090713-3) experimental; urgency=low

  * Upload to experimental because Debian is frozen.
  * perfection1250.patch added from SourceForge.
  * Standards 3.9.1 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Thu, 13 Jan 2011 22:14:29 +0100

scanbuttond (0.2.3.cvs20090713-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Move Debian patches to quilt.
  * Add $remote_fs to Required-Start/Stop init.d dependencies.
  * Standards 3.8.4 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sun, 23 May 2010 16:27:29 +0200

scanbuttond (0.2.3.cvs20090713-1) unstable; urgency=low

  * New upstream snapshot.
  * Updated to debhelper 7.
  * Standards 3.8.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Sun, 19 Jul 2009 21:25:59 +0200

scanbuttond (0.2.3-10) unstable; urgency=low

  * Bashism in the init.d script fixed; closes: #530183.

 -- Milan Zamazal <pdm@debian.org>  Wed, 27 May 2009 09:14:24 +0200

scanbuttond (0.2.3-9) unstable; urgency=low

  * Upload to unstable.

 -- Milan Zamazal <pdm@debian.org>  Sat, 07 Mar 2009 22:46:49 +0100

scanbuttond (0.2.3-8) experimental; urgency=low

  * Provide init script for optional startup; thanks to Tuomas Noraef
    <tuomas.noraef@gmail.com>; closes: #503259.
  * DEB_BUILD_OPTIONS setup updated as described in the current policy.
  * Standards 3.8.0.
  * Upload to experimental because lenny is frozen.

 -- Milan Zamazal <pdm@debian.org>  Mon, 03 Nov 2008 08:43:36 +0100

scanbuttond (0.2.3-7) unstable; urgency=low

  * Patch to avoid segfault when PATH is not set applied; thanks to Thomas
    Viehweger <patchesthomas.vie@web.de>; closes: #484361.
  * Standards 3.7.3 (no real change).
  * config.{sub,guess} updated.
  * FSF address removed from debian/copyright.
  * "Copyright (C)" added to debian/copyright.

 -- Milan Zamazal <pdm@debian.org>  Fri, 06 Jun 2008 12:43:57 +0200

scanbuttond (0.2.3-6) unstable; urgency=low

  * Warning about security implications related to simple uncommenting
    example scripts; CVE-2007-6131; closes: #453239.

 -- Milan Zamazal <pdm@debian.org>  Sun,  2 Dec 2007 15:54:10 +0100

scanbuttond (0.2.3-5) unstable; urgency=low

  * Support for Silitek ScanJet 4300c added, thanks to Daniel van Eeden
    <daniel_e@dds.nl>; closes: #409071.
  * debian/rules: Copy config.* files in configure-stamp instead of clean.
  * debian/rules: In clean, depend on configure-stamp and don't ignore
    `make distclean' errors.

 -- Milan Zamazal <pdm@debian.org>  Thu, 23 Aug 2007 01:57:40 +0200

scanbuttond (0.2.3-4) unstable; urgency=low

  * Patch by Andrew Barr adding new `--quiet' command line option applied;
    closes: #384400.

 -- Milan Zamazal <pdm@debian.org>  Sat, 26 Aug 2006 20:15:13 +0200

scanbuttond (0.2.3-3) unstable; urgency=low

  * Another example of a button-press action, suggested by Francesco
    Potorti`, added to the buttonpressed.sh script; closes: #370428.
  * Standards 3.7.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Thu, 15 Jun 2006 20:28:03 +0200

scanbuttond (0.2.3-2) unstable; urgency=low

  * debian/rules: configure invocation improvements.
  * debian/rules: Call `make distclean' instead of `make clean'.

 -- Milan Zamazal <pdm@debian.org>  Mon, 27 Feb 2006 10:58:26 +0100

scanbuttond (0.2.3-1) unstable; urgency=low

  * Initial release; closes: #352504.

 -- Milan Zamazal <pdm@debian.org>  Tue, 21 Feb 2006 09:19:57 +0100
