=== debian/control ===
Source: scanbuttond
Section: misc
Priority: extra
Maintainer: Milan Zamazal <pdm@debian.org>
Build-Depends: debhelper (>= 7.0.0), libusb-dev, libtool, autoconf, automake
Standards-Version: 3.9.2

Package: scanbuttond
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libsane
Recommends: sane-utils
Description: Scanner button daemon
 It allows you to invoke actions such as shell scripts whenever one of
 the scanner front panel buttons is pressed.
